@echo off

set url="https://finance-services.msn.com/Market.svc/ChartAndQuotes?symbols={symbol}&chartType=1y&isEOD=True&isCS=true&isVol=true"

gsqlcmd convert %url% data.csv /taskfile=symbols.txt /quoteChar= /echoURL /DateTimeFormat=yyyy-MM-dd /add=Symbol={Symbol};LoadDate=Now() ^
        /referer=https://www.msn.com/en-us/money/ ^
        /rootPath=Quotes

if .%1.==./Q. goto :EOF

start notepad.exe data.csv

@pause
